library(tidyverse)
library(leaflet)

src_sqlite("access.db") %>%
  tbl("access") %>%
  left_join(src_sqlite("access.db") %>% tbl("geoip")) %>%
  collect %>%
  mutate(timestamp = timestamp %>% as.POSIXct(origin = "1970-01-01")) %>%
  mutate_at(vars(city, country, agent), factor) -> geoaccess

geoaccess %>%
  filter(status != 404,
         !agent %>% str_detect("bot")) %>%
  distinct(ip, lon, lat) %>%
  leaflet %>%
  addProviderTiles(providers$CartoDB.Positron) %>%
  addMarkers(~lon, ~lat, clusterOptions = markerClusterOptions())
